#ifndef __UTILITY_H_
#define __UTILITY_H_


#include "common_config.h"
#include <stdbool.h>


typedef enum 
{
    TR_GSM_TX_SIM1 = BPR_DATA5,
    TR_GSM_RX_SIM1 = BPR_DATA7,
    TR_GSM_TX_SIM2 = BPR_DATA9,
    TR_GSM_RX_SIM2 = BPR_DATA11, 
    TR_ETH_TX      = BPR_DATA13,
    TR_ETH_RX      = BPR_DATA15
} trf_channel_t;


//
void define_revision(void);

//
float get_adc(ADC_REV_CH_t channel);


// -------------------------------------------------------------------------- //
// Подсчет трафика

//
void trf_inc(trf_channel_t channel, uint32_t size);

//
uint32_t trf_get_ch(trf_channel_t channel);

//
void trf_print(void);

//
void trf_reset_all(void);


// -------------------------------------------------------------------------- //
// API поддержки режима 9 бит для счетчиков серии РиМ.

//
void set_recv_byte_flag(bool state);

//
bool get_recv_byte_flag(void);

//
void set_len_recv_data(uint16_t len);

#endif /* __UTILITY_H_ */
